Download it now!
Bug 97984 - INSERT: SVG fill attribute is applied incorrectly
Summary: INSERT: SVG fill attribute is applied incorrectly
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
5.0.4.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL: https://www.w3.org/TR/SVG/painting.ht...
Whiteboard:
Keywords: filter:svg
Depends on:
Blocks: SVG-Import
  Show dependency treegraph
 
Reported: 2016-02-18 16:42 UTC by Xisco Faulí
Modified: 2019-09-20 12:34 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
sample (2.80 KB, image/svg+xml)
2016-02-18 16:42 UTC, Xisco Faulí
Details
linking-a-10-f.svg (4.19 KB, image/svg+xml)
2016-02-23 15:43 UTC, Xisco Faulí
Details
linking-a-10-f.svg - LibreOfficeDev Draw 6.1 beta 2 (22.28 KB, image/png)
2018-06-20 13:32 UTC, Roman Kuznetsov
Details
min sample (517 bytes, image/svg+xml)
2019-09-20 12:34 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2016-02-18 16:42:20 UTC
Created attachment 122773 [details]
sample

Steps:
1. Open attached file

Reproduced in

Version: 5.2.0.0.alpha0+
Build ID: dc9ec9f359ddc91a3aedbe38e6079b0555fb03f9
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86@39, Branch:master, Time: 2016-02-17_00:35:04
Locale: es-ES (es_ES)
Comment 1 Buovjaga 2016-02-20 15:54:59 UTC
Repro by inserting to Writer.

Win 7 Pro 64-bit Version: 5.2.0.0.alpha0+
Build ID: ef02de2698d90fd874bddf3146165cbe85487bc5
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86@39, Branch:master, Time: 2016-02-19_23:40:50
Locale: fi-FI (fi_FI)
Comment 2 Regina Henschel 2016-02-21 23:08:50 UTC
I see two different issues:

(1)
The marker is only drawn for a path of length 0, but not for a line of length 0.

(2)
The attributes markerWidth and markerHeight are not considered. Their default value is 3. Therefore the marker should have 3*25 width and height, the size do you see in browser. The product 3*25 is the result of the rule for markerUnits="strokeWidth". It seems, that currently not markerWidth/markerHeight is used, but the content size of the marker, which result in a huge marker size of 25*96 and so fills the whole rectangle in blue.

Fill and stroke of the marker is OK, which you will notice, if you make a path with not 0 length and smaller stroke-width, and a marker with smaller size.

BTW, it is better to use examples, which do not have relative width and height on the outermost svg, but use absolute values like width="9.6cm" height="7.2cm".
Comment 3 Xisco Faulí 2016-02-23 15:43:21 UTC
Created attachment 122913 [details]
linking-a-10-f.svg

Another file that may be affected
Comment 4 Regina Henschel 2016-02-23 16:57:53 UTC
I have written issue 98119 for the problem, that the marker is applied to an empty line. Therefore this issue should handle the problem (2).
Comment 5 QA Administrators 2017-10-30 08:29:15 UTC Comment hidden (obsolete)
Comment 6 Roman Kuznetsov 2018-06-20 13:32:25 UTC
Created attachment 142962 [details]
linking-a-10-f.svg - LibreOfficeDev Draw 6.1 beta 2

still repro in 6.1 beta 2
Comment 7 QA Administrators 2019-06-21 02:51:46 UTC Comment hidden (obsolete)
Comment 8 Xisco Faulí 2019-09-20 12:34:04 UTC
Created attachment 154320 [details]
min sample